Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.interfaces.simpleImpl
Class SimpleContentProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleContentProvider

All Implemented Interfaces:
  IContentProvider

Direct Known Subclasses:
  FileContentProvider

public class SimpleContentProvider
extends java.lang.Object
implements IContentProvider

Simple implementation of a content provider

Constructor Summary
`SimpleContentProvider()`

Method Summary
`static void` | `addGroup(IGroup grp)` Register a group
`java.util.List` | `getAllGroups()` Returns all registered groups
`java.util.List` | `getAllMembers()` Returns the List of all IMembers in all registered groups
`java.util.List` | `getAllMembers(IGroup group)` Returns all IMembers contained in the given IGroup
`java.lang.String` | `getEmptyMessage()` This string returned here is displayed by the visualiser when the content provider has nothing to display.
`void` | `initialise()` Initialise the content provider.
`int` | `numberOfGroupsDefined()` Get the total number of groups registered
`boolean` | `processMouseclick(IMember member, boolean markupWasClicked, int buttonClicked)` Process a mouse click on a member belonging to this provider.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleContentProvider

    public SimpleContentProvider()

Method Detail

### getAllGroups

    public java.util.List getAllGroups()

  Returns all registered groups

  Specified by:
    `getAllGroups` in interface `IContentProvider`
  Returns:
    List of IGroups
  See Also:
    `org.eclipse.contribution.visualiser.IVisContentProvider#getAllGroups()`

### getAllMembers

    public java.util.List getAllMembers(IGroup group)

  Returns all IMembers contained in the given IGroup

  Specified by:
    `getAllMembers` in interface `IContentProvider`
  See Also:
    `org.eclipse.contribution.visualiser.IVisContentProvider#getAllMembers(org.eclipse.contribution.visualiser.IGroup)`

### getAllMembers

    public java.util.List getAllMembers()

  Returns the List of all IMembers in all registered groups

  Specified by:
    `getAllMembers` in interface `IContentProvider`

### initialise

    public void initialise()

  Initialise the content provider. This is a default imploementation and so does nothing.

  Specified by:
    `initialise` in interface `IContentProvider`
  See Also:
    `IContentProvider.initialise()`

### addGroup

    public static void addGroup(IGroup grp)

  Register a group

  Parameters:
    `grp` -

### numberOfGroupsDefined

    public int numberOfGroupsDefined()

  Get the total number of groups registered

  Returns:

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     boolean markupWasClicked,
                                     int buttonClicked)

  Process a mouse click on a member belonging to this provider. This is a default implementation and so does nothing and returns true to allow the visualiser to perform it's default mouse click operation.

  Specified by:
    `processMouseclick` in interface `IContentProvider`
  See Also:
    `org.eclipse.contribution.visualiser.interfaces.IContentProvider#processMouseclick(java.lang.String, boolean, int)`

### getEmptyMessage

    public java.lang.String getEmptyMessage()

  Description copied from interface: `IContentProvider`
  This string returned here is displayed by the visualiser when the content provider has nothing to display. It should inform the user of the nature of the content provider, and the means by which the user gives input to the provider.

  Specified by:
    `getEmptyMessage` in interface `IContentProvider`
  Returns:
    the message to display the user when the visualiser is empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD